--- title: "updateAutoScalingGroup" slug: "compute-vautoscaling-autoscalinggroup-updateautoscalinggroup" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-updateautoscalinggroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # updateAutoScalingGroup Available in VPC Edit the details of an Auto Scaling Group and the launch configuration set for it. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/updateAutoScalingGroup | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `autoScalingGroupNo` | String | Required | Auto Scaling Group number - See [getAutoScalingGroupList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist). | | `launchConfigurationNo` | String | Optional | Launch configuration number - See [getLaunchConfigurationList](/docs/en/compute-vautoscaling-launchconfiguration-getlaunchconfigurationlist). | | `serverNamePrefix` | String | Optional | Server name prefix - Enter 3-7 characters using a combination of lowercase English letters, numbers, and special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Server name rule is {Prefix}-{English letter\|number}, with everything but the prefix generated automatically. | | `minSize` | Integer | Required | Minimum capacity: Minimum number of servers in Auto Scaling Group - 0-30 - Set to `maxSize` or less. - Enter 0 to not have a server. | | `maxSize` | Integer | Required | Maximum capacity: Maximum number of servers in Auto Scaling Group - 0-30 - Set to `minSize` or more | | `desiredCapacity` | Integer | Optional | Expected capacity: Expected number of servers in Auto Scaling Group - Set between `minSize` and `maxSize` (default: same as `minSize`). - Automatically adjust the number of servers based on the input value. | | `defaultCoolDown` | Integer | Optional | Default cooldown value (second) - 0-2147483647 (default: 300) - Monitoring wait time for server readiness after scaling | | `healthCheckGracePeriod` | Integer | Conditional | Health check grace period (second) - 0-2147483647 (default: 300) - The amount of time that a server is not judged unhealthy if it fails a health check, given the initial workload of the server - Required if `healthCheckTypeCode` is `LOADB` | | `healthCheckTypeCode` | String | Optional | Health check type code - `SVR` (default) \| `LOADB` - `SVR`: Server - `LOADB`: Load balancer - For `LOADB`, `healthCheckGracePeriod` is required. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | Note When entering a request query parameter, see the following: - Only the information corresponding to the request query parameters you entered is edited; information for request query parameters you didn't enter retains its existing value. - Existing values are displayed in response results when request query parameters with a required status of Optional are not entered (200 OK). - The case relationship of `minSize` ≤ `desiredCapacity` ≤ `maxSize` remains valid even if `minSize`, `maxSize`, and `desiredCapacity` change. - New launch configurations created by the updateAutoScalingGroup API call are reflected from the server instance (VM) created afterward. - The call fails when requesting changes to an Auto Scaling Group that is in the process of being scaled. ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/updateAutoScalingGroup ?regionCode=KR &autoScalingGroupNo=1***9 &maxSize=3 &desiredCapacity=0 &defaultCoolDown=600 &healthCheckGracePeriod=300 &healthCheckTypeCode=LOADB &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `updateAutoScalingGroupResponse` | Object | - | Response result - See [AutoScalingGroupList](/docs/en/common-vapidatatype-autoscalinggrouplist). | | `updateAutoScalingGroupResponse.requestId` | String | - | ID for the request - UUID format | | `updateAutoScalingGroupResponse.returnCode` | String | - | Response code | | `updateAutoScalingGroupResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "updateAutoScalingGroupResponse": { "totalRows": 1, "autoScalingGroupList": [ { "vpcNo": "4**5", "subnetNo": "3***4", "serverNamePrefix": "", "autoScalingGroupNo": "1***9", "autoScalingGroupName": "asg", "launchConfigurationNo": "5891", "minSize": 0, "maxSize": 3, "desiredCapacity": 0, "defaultCoolDown": 600, "healthCheckGracePeriod": 300, "healthCheckType": { "code": "LOADB", "codeName": "Load Balancer" }, "createDate": "2025-05-15T09:50:55+0900", "autoScalingGroupStatus": { "code": "CREAT", "codeName": "Created" }, "targetGroupNoList": [], "inAutoScalingGroupServerInstanceList": [], "accessControlGroupNoList": [ "1***1" ], "suspendedProcessList": [] } ], "requestId": "a8eb0d25-****-****-****-0b05a6829fb9", "returnCode": "0", "returnMessage": "success" } } ```